#
# ovirt-hosted-engine-setup -- ovirt hosted engine setup
# Copyright (C) 2013-2016 Red Hat, Inc.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
#

%define enable_autotools 1

%global         engine rhevm
%global         package_version 1.3.7.3
%global         ovirt_hosted_engine_setup_templates %{_datadir}/%{name}/templates
%global         ovirt_hosted_engine_setup_scripts %{_datadir}/%{name}/scripts
%global         vdsmhooksdir %{_libexecdir}/vdsm/hooks


Summary:        RHEV-M Hosted Engine setup tool
Name:           ovirt-hosted-engine-setup
Version:        1.3.7.3
Release:        1%{?release_suffix}%{?dist}
License:        LGPLv2+
URL:            http://www.redhat.com/virtualization/rhev/server/
Source0:        http://resources.ovirt.org/pub/src/%{name}/%{name}-%{package_version}.tar.gz
Group:          Applications/System

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch


Requires:       bind-utils
Requires:       genisoimage
Requires:       iptables
Requires:       iptables-services
Requires:       libselinux-python
Requires:       lsof
Requires:       openssh-server
Requires:       openssl
Requires:       python
Requires:       python-ethtool >= 0.6-3
Requires:       python-netaddr
Requires:       sanlock >= 2.8
Requires:       sanlock-python >= 2.8
Requires:       sudo
Requires:       virt-viewer
BuildRequires:  gettext
BuildRequires:  python2-devel

%if 0%{?enable_autotools}
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gettext-devel
%endif

%if 0%{?fedora}
Requires:       qemu-img
%endif
%if 0%{?rhel}
Requires:       qemu-img-rhev
%endif


Requires:       otopi >= 1.4.0
Requires:       ovirt-host-deploy >= 1.4.1
Requires:       ovirt-hosted-engine-ha >= 1.3.5.8
Requires:       %{engine}-sdk-python >= 3.6.8.0
Requires:       ovirt-setup-lib >= 1.0.1
Requires:       glusterfs-cli >= 3.7.1
Requires:       vdsm >= 4.17.33
Requires:       vdsm-cli >= 4.17.33
Requires:       vdsm-python >= 4.17.33


# Dependencies that will be required by ovirt-host-deploy
# avoiding to have them installed in the middle of the setup
Requires:       dmidecode
Requires:       iproute
Requires:       kexec-tools
Requires:       m2crypto
Requires:       ovirt-vmconsole-host
Requires:       qemu-kvm-tools
Requires:       socat
Requires:       tar
Requires:       tuned
Requires:       util-linux

Patch1: 0001-packaging-branding-for-ovirt-hosted-engine-setup.patch

%description
Hosted Engine tool for Red Hat Enterprise Virtualization.

%prep
%setup -q -n %{name}-%{package_version}
%patch1 -p1

%build
%if 0%{?enable_autotools}
autoreconf -ivf
%endif
%configure \
        --docdir="%{_docdir}/%{name}-%{version}" \
        --disable-python-syntax-check \
        %{?conf}
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"

%files
%doc COPYING
%doc README
%dir %{_sysconfdir}/ovirt-hosted-engine-setup.env.d
%dir %{_sysconfdir}/ovirt-hosted-engine
%dir %{_localstatedir}/log/ovirt-hosted-engine-setup
%dir %{_localstatedir}/lib/ovirt-hosted-engine-setup
%dir %{_localstatedir}/lib/ovirt-hosted-engine-setup/answers
%{_sbindir}/hosted-engine
%{_sbindir}/%{name}
%{python_sitelib}/ovirt_hosted_engine_setup/
%{_datadir}/%{name}/
%{_mandir}/man8/*

#move to a separate package?
%{vdsmhooksdir}/before_vm_start/

%changelog
* Tue Aug 23 2016 Simone Tiraboschi <stirabos@redhat.com> - 1.3.7.3-1
- 1.3.7.3-1
- Resolves: BZ#1365184
- Resolves: BZ#1368399
- Resolves: BZ#1369366

* Tue Jun 07 2016 Simone Tiraboschi <stirabos@redhat.com> - 1.3.7.2-1
- 1.3.7.2-1
- Resolves: BZ#1339216

* Tue May 31 2016 Simone Tiraboschi <stirabos@redhat.com> - 1.3.7.1-1
- 1.3.7.1-1
- Resolves: BZ#1339216

* Tue May 24 2016 Simone Tiraboschi <stirabos@redhat.com> - 1.3.7.0-1
- 1.3.7.0-1
- Resolves: BZ#1339216

* Wed May 04 2016 Simone Tiraboschi <stirabos@redhat.com> - 1.3.6.1-3
- 1.3.6.1-3
- Resolves: BZ#1330523

* Wed May 04 2016 Simone Tiraboschi <stirabos@redhat.com> - 1.3.6.1-2
- 1.3.6.1-2
- Resolves: BZ#1330523

* Wed May 04 2016 Simone Tiraboschi <stirabos@redhat.com> - 1.3.6.1-1
- 1.3.6.1-1
- Resolves: BZ#1330523

* Tue Apr 26 2016 Simone Tiraboschi <stirabos@redhat.com> - 1.3.6.0-1
- 1.3.6.0-1
- Resolves: BZ#1330523

* Tue Mar 29 2016 Simone Tiraboschi <stirabos@redhat.com> - 1.3.5.0-1
- 1.3.5.0-1
- Resolves: BZ#1321997

* Tue Mar 15 2016 Simone Tiraboschi <stirabos@redhat.com> - 1.3.4.0-1
- 1.3.4.0-1
- Resolves: BZ#1317901

* Tue Feb 23 2016 Rafael Martins <rmartins@redhat.com> - 1.3.3.4-1
- 1.3.3.4-1
- Resolves: BZ#1305885

* Wed Feb 17 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.3.3-1
- Rebase on upstream 1.3.3.3
- Resolves: BZ#1305885

* Tue Feb 16 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.3.2-1
- Rebase on upstream 1.3.3.2
- Resolves: BZ#1305885

* Tue Feb  9 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.3.1-1
- Rebase on upstream 1.3.3.1
- Resolves: BZ#1305885

* Wed Jan 27 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.3.0-1
- 1.3.3.0-1

* Tue Jan 19 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.2.3-1
- Rebase on upstream 1.3.2.3
- Resolves: BZ#1241430

* Tue Jan 12 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.2.2-2
- Updated deps
- Resolves: BZ#1293654

* Tue Jan 05 2016 Simone Tiraboschi <stirabos@redhat.com> - 1.3.2.2-1
- Rebase on upstream 1.3.2.2-1
- Resolves: BZ#1293654

* Wed Dec 23 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.2.1-1
- Rebase on upstream 1.3.2.1-1
- Resolves: BZ#1293654

* Tue Dec 22 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.2-1
- Rebase on upstream 1.3.2
- Resolves: BZ#1293654

* Tue Dec 15 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.1.3-1
- Rebase on upstream 1.3.1.3
- Resolves: BZ#1284979

* Wed Dec  9 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.1.2-1
- Rebase on upstream 1.3.1.2
- Resolves: BZ#1284979

* Tue Dec  1 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.1.1-1
- Rebase on upstream 1.3.1.1
- Resolves: BZ#1284979

* Tue Nov 24 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.1-1
- Rebase on upstream 1.3.1
- Resolves: BZ#1254838
- Resolves: BZ#1059952

* Wed Nov 18 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.1-0.1.master.gitc013638
- Resolves: BZ#1254838
- Resolves: BZ#1059952
- Resolves oVirt bugs:
  - rhbz#1269430
  - rhbz#1273937
  - rhbz#1256467 (blocker+)
  - rhbz#1268373
  - rhbz#1271511
  - rhbz#1247068
  - rhbz#1269182
  - rhbz#1283141
  - rhbz#1278725

* Thu Sep 24 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.0-1
- Resolves: BZ#1234915

* Tue Sep 22 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.0-0.8.beta.git63c6aad
- Resolves: BZ#1247942
- Resolves: BZ#1255026
- Resolves: 1258465
- Resolves: 1263295

* Tue Sep 15 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.0-0.7.beta.gitc63047c
- Resolves: BZ#1234915
- Resolves: BZ#1262875

* Wed Sep  9 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.0-0.6.beta.git794400d
- Resolves: BZ#1251912
- Resolves: BZ#1254671
- Resolves: BZ#1253939
- Resolves: BZ#1234915

* Tue Sep  1 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.0-0.5.beta.git2cd8189
- Resolves: BZ#1215436
- Resolves: BZ#1254104

* Wed Aug 12 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.0-0.4.beta.git42eb801
- Fixed glusterfs-cli requirement for RHEV.

* Tue Aug 11 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.0-0.3.beta.git42eb801
- Resolves: BZ#1032069
- Resolves: BZ#1131918
- Resolves: BZ#1210763
- Resolves: BZ#1228576
- Resolves: BZ#1235591
- Resolves: BZ#1238709
- Resolves: BZ#1242344
- Resolves: BZ#1242448
- Resolves: BZ#1249118

* Mon Jul  6 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.0-0.2.master.git2499139
- Resolves: BZ#1236464

* Thu Jul  2 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.0-0.1.alpha
- Resolves: BZ#1077850
- Resolves: BZ#1108341
- Resolves: BZ#1120780
- Resolves: BZ#1139793
- Resolves: BZ#1175354
- Resolves: BZ#1188663
- Resolves: BZ#1205663
- Resolves: BZ#1211532
- Resolves: BZ#1213307
- Resolves: BZ#1216172
- Resolves: BZ#1217106
- Resolves: BZ#1220137
- Resolves: BZ#1221148
- Resolves: BZ#1222058
- Resolves: BZ#1223801
- Resolves: BZ#1225011
- Resolves: BZ#1234870

* Thu Apr 16 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.3.0-0.0.master.git9665976
- Resolves: BZ#1101553
- Resolves: BZ#1201196
- Resolves: BZ#1153278
- Resolves: BZ#1002454
- Resolves: BZ#1198138
- Resolves: BZ#1169290
- Resolves: BZ#1169792
- Resolves: BZ#1177800
- Resolves: BZ#1150073

